package org.infinispan.server.core.logging;

import java.util.Locale;
import java.nio.file.Path;
import java.io.Serializable;
import javax.annotation.Generated;
import org.infinispan.commons.CacheException;
import org.jboss.logging.DelegatingBasicLogger;
import org.infinispan.commons.CacheConfigurationException;
import java.net.InetSocketAddress;
import io.netty.channel.Channel;
import java.lang.String;
import org.jboss.logging.Logger;
import io.netty.handler.ipfilter.IpFilterRule;
import java.lang.NullPointerException;
import org.jboss.logging.BasicLogger;
import org.infinispan.commons.dataconversion.MediaType;
import java.lang.Throwable;
import org.infinispan.server.core.dataconversion.TranscodingException;
import java.net.SocketAddress;
import java.util.Arrays;
import java.lang.IllegalArgumentException;
import java.lang.UnsupportedOperationException;


import static org.jboss.logging.Logger.Level.INFO;
import static org.jboss.logging.Logger.Level.DEBUG;
import static org.jboss.logging.Logger.Level.WARN;

/**
 * Warning this class consists of generated code.
 */
@Generated(value = "org.jboss.logging.processor.generator.model.MessageLoggerImplementor", date = "2022-01-27T09:38:29+0000")
public class Log_$logger extends DelegatingBasicLogger implements Log, BasicLogger, Serializable {
    private static final long serialVersionUID = 1L;
    private static final String FQCN = Log_$logger.class.getName();
    public Log_$logger(final Logger log) {
        super(log);
    }
    private static final Locale LOCALE = Locale.ROOT;
    protected Locale getLoggingLocale() {
        return LOCALE;
    }
    @Override
    public final void channelStillBound(final Channel ch, final SocketAddress address) {
        super.log.logf(FQCN, WARN, null, channelStillBound$str(), ch, address);
    }
    private static final String channelStillBound = "ISPN005005: %s is still bound to %s";
    protected String channelStillBound$str() {
        return channelStillBound;
    }
    @Override
    public final void channelStillConnected(final Channel ch, final SocketAddress address) {
        super.log.logf(FQCN, WARN, null, channelStillConnected$str(), ch, address);
    }
    private static final String channelStillConnected = "ISPN005007: %s is still connected to %s";
    protected String channelStillConnected$str() {
        return channelStillConnected;
    }
    private static final String illegalWorkerThreads = "ISPN005010: Illegal number of workerThreads: %d";
    protected String illegalWorkerThreads$str() {
        return illegalWorkerThreads;
    }
    @Override
    public final IllegalArgumentException illegalWorkerThreads(final int workerThreads) {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(getLoggingLocale(), illegalWorkerThreads$str(), workerThreads));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String illegalIdleTimeout = "ISPN005011: Idle timeout can't be lower than -1: %d";
    protected String illegalIdleTimeout$str() {
        return illegalIdleTimeout;
    }
    @Override
    public final IllegalArgumentException illegalIdleTimeout(final int idleTimeout) {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(getLoggingLocale(), illegalIdleTimeout$str(), idleTimeout));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String illegalReceiveBufferSize = "ISPN005012: Receive Buffer Size can't be lower than 0: %d";
    protected String illegalReceiveBufferSize$str() {
        return illegalReceiveBufferSize;
    }
    @Override
    public final IllegalArgumentException illegalReceiveBufferSize(final int recvBufSize) {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(getLoggingLocale(), illegalReceiveBufferSize$str(), recvBufSize));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String illegalSendBufferSize = "ISPN005013: Send Buffer Size can't be lower than 0: %d";
    protected String illegalSendBufferSize$str() {
        return illegalSendBufferSize;
    }
    @Override
    public final IllegalArgumentException illegalSendBufferSize(final int sendBufSize) {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(getLoggingLocale(), illegalSendBufferSize$str(), sendBufSize));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String noSSLKeyManagerConfiguration = "ISPN005014: SSL Enabled but no KeyStore specified";
    protected String noSSLKeyManagerConfiguration$str() {
        return noSSLKeyManagerConfiguration;
    }
    @Override
    public final CacheConfigurationException noSSLKeyManagerConfiguration() {
        final CacheConfigurationException result = new CacheConfigurationException(String.format(getLoggingLocale(), noSSLKeyManagerConfiguration$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String missingKeyStorePassword = "ISPN005016: A password is required to open the KeyStore '%s'";
    protected String missingKeyStorePassword$str() {
        return missingKeyStorePassword;
    }
    @Override
    public final CacheConfigurationException missingKeyStorePassword(final String keyStore) {
        final CacheConfigurationException result = new CacheConfigurationException(String.format(getLoggingLocale(), missingKeyStorePassword$str(), keyStore));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String missingTrustStorePassword = "ISPN005017: A password is required to open the TrustStore '%s'";
    protected String missingTrustStorePassword$str() {
        return missingTrustStorePassword;
    }
    @Override
    public final CacheConfigurationException missingTrustStorePassword(final String trustStore) {
        final CacheConfigurationException result = new CacheConfigurationException(String.format(getLoggingLocale(), missingTrustStorePassword$str(), trustStore));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String xorSSLContext = "ISPN005018: Cannot configure custom KeyStore and/or TrustStore when specifying a SSLContext";
    protected String xorSSLContext$str() {
        return xorSSLContext;
    }
    @Override
    public final CacheConfigurationException xorSSLContext() {
        final CacheConfigurationException result = new CacheConfigurationException(String.format(getLoggingLocale(), xorSSLContext$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    @Override
    public final void createdSocketChannel(final String channelClassName, final String configuration) {
        super.log.logf(FQCN, DEBUG, null, createdSocketChannel$str(), channelClassName, configuration);
    }
    private static final String createdSocketChannel = "ISPN005025: Using Netty SocketChannel %s for %s";
    protected String createdSocketChannel$str() {
        return createdSocketChannel;
    }
    @Override
    public final void createdNettyEventLoop(final String eventLoopClassName, final String configuration) {
        super.log.logf(FQCN, DEBUG, null, createdNettyEventLoop$str(), eventLoopClassName, configuration);
    }
    private static final String createdNettyEventLoop = "ISPN005026: Using Netty EventLoop %s for %s";
    protected String createdNettyEventLoop$str() {
        return createdNettyEventLoop;
    }
    private static final String noSniDomainConfigured = "ISPN005027: SSL Enabled but no SNI domain configured";
    protected String noSniDomainConfigured$str() {
        return noSniDomainConfigured;
    }
    @Override
    public final CacheConfigurationException noSniDomainConfigured() {
        final CacheConfigurationException result = new CacheConfigurationException(String.format(getLoggingLocale(), noSniDomainConfigured$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    @Override
    public final void epollNotAvailable(final String message) {
        super.log.logf(FQCN, INFO, null, epollNotAvailable$str(), message);
    }
    private static final String epollNotAvailable = "ISPN005028: Native Epoll transport not available, using NIO instead: %s";
    protected String epollNotAvailable$str() {
        return epollNotAvailable;
    }
    private static final String cannotRegisterAdminOperationsHandler = "ISPN005029: No task manager available to register the admin operations handler";
    protected String cannotRegisterAdminOperationsHandler$str() {
        return cannotRegisterAdminOperationsHandler;
    }
    @Override
    public final CacheConfigurationException cannotRegisterAdminOperationsHandler() {
        final CacheConfigurationException result = new CacheConfigurationException(String.format(getLoggingLocale(), cannotRegisterAdminOperationsHandler$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String missingRequiredAdminTaskParameter = "ISPN005030: Administration task '%s' invoked without required parameter '%s'";
    protected String missingRequiredAdminTaskParameter$str() {
        return missingRequiredAdminTaskParameter;
    }
    @Override
    public final NullPointerException missingRequiredAdminTaskParameter(final String name, final String parameter) {
        final NullPointerException result = new NullPointerException(String.format(getLoggingLocale(), missingRequiredAdminTaskParameter$str(), name, parameter));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String missingCacheConfiguration = "ISPN005031: The supplied configuration for cache '%s' is missing a named configuration for it: %s";
    protected String missingCacheConfiguration$str() {
        return missingCacheConfiguration;
    }
    @Override
    public final CacheConfigurationException missingCacheConfiguration(final String name, final String configuration) {
        final CacheConfigurationException result = new CacheConfigurationException(String.format(getLoggingLocale(), missingCacheConfiguration$str(), name, configuration));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String unsupportedDataFormat = "ISPN005033: Data format '%s' not supported";
    protected String unsupportedDataFormat$str() {
        return unsupportedDataFormat;
    }
    @Override
    public final TranscodingException unsupportedDataFormat(final MediaType contentFormat) {
        final TranscodingException result = new TranscodingException(String.format(getLoggingLocale(), unsupportedDataFormat$str(), contentFormat));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String cannotCreateClusteredCache = "ISPN005034: Cannot create clustered caches in non-clustered servers";
    protected String cannotCreateClusteredCache$str() {
        return cannotCreateClusteredCache;
    }
    @Override
    public final UnsupportedOperationException cannotCreateClusteredCache() {
        final UnsupportedOperationException result = new UnsupportedOperationException(String.format(getLoggingLocale(), cannotCreateClusteredCache$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String errorDeserializing = "ISPN005035: Class '%s' blocked by deserialization allow list. Include the class name in the server cache manager allow list to authorize.";
    protected String errorDeserializing$str() {
        return errorDeserializing;
    }
    @Override
    public final CacheException errorDeserializing(final String className) {
        final CacheException result = new CacheException(String.format(getLoggingLocale(), errorDeserializing$str(), className));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String illegalIOThreads = "ISPN005036: Illegal number of ioThreads: %d";
    protected String illegalIOThreads$str() {
        return illegalIOThreads;
    }
    @Override
    public final IllegalArgumentException illegalIOThreads(final int ioThreads) {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(getLoggingLocale(), illegalIOThreads$str(), ioThreads));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String illegalParameterType = "ISPN005038: Illegal type for parameter '%s': %s";
    protected String illegalParameterType$str() {
        return illegalParameterType;
    }
    @Override
    public final IllegalArgumentException illegalParameterType(final String parameter, final Class<?> type) {
        final IllegalArgumentException result = new IllegalArgumentException(String.format(getLoggingLocale(), illegalParameterType$str(), parameter, type));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String errorCreatingBackup = "ISPN005039: Cannot create cluster backup";
    protected String errorCreatingBackup$str() {
        return errorCreatingBackup;
    }
    @Override
    public final CacheException errorCreatingBackup(final Throwable cause) {
        final CacheException result = new CacheException(String.format(getLoggingLocale(), errorCreatingBackup$str()), cause);
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String errorRestoringBackup = "ISPN005040: Cannot restore cluster backup '%s'";
    protected String errorRestoringBackup$str() {
        return errorRestoringBackup;
    }
    @Override
    public final CacheException errorRestoringBackup(final Path path, final Throwable cause) {
        final CacheException result = new CacheException(String.format(getLoggingLocale(), errorRestoringBackup$str(), path), cause);
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String backupInProgress = "ISPN005041: Cannot perform backup, backup currently in progress";
    protected String backupInProgress$str() {
        return backupInProgress;
    }
    @Override
    public final CacheException backupInProgress() {
        final CacheException result = new CacheException(String.format(getLoggingLocale(), backupInProgress$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String restoreInProgress = "ISPN005042: Cannot restore content, restore currently in progress";
    protected String restoreInProgress$str() {
        return restoreInProgress;
    }
    @Override
    public final CacheException restoreInProgress() {
        final CacheException result = new CacheException(String.format(getLoggingLocale(), restoreInProgress$str()));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    @Override
    public final void initiatingBackup(final String name) {
        super.log.logf(FQCN, INFO, null, initiatingBackup$str(), name);
    }
    private static final String initiatingBackup = "ISPN005043: Starting backup '%s'";
    protected String initiatingBackup$str() {
        return initiatingBackup;
    }
    @Override
    public final void backupComplete(final String backupName) {
        super.log.logf(FQCN, INFO, null, backupComplete$str(), backupName);
    }
    private static final String backupComplete = "ISPN005044: Backup file created '%s'";
    protected String backupComplete$str() {
        return backupComplete;
    }
    @Override
    public final void initiatingRestore(final String name, final Path backup) {
        super.log.logf(FQCN, INFO, null, initiatingRestore$str(), name, backup);
    }
    private static final String initiatingRestore = "ISPN005045: Starting restore '%s' of '%s'";
    protected String initiatingRestore$str() {
        return initiatingRestore;
    }
    @Override
    public final void restoreComplete(final String name) {
        super.log.logf(FQCN, INFO, null, restoreComplete$str(), name);
    }
    private static final String restoreComplete = "ISPN005046: Restore '%s' complete";
    protected String restoreComplete$str() {
        return restoreComplete;
    }
    private static final String unableToFindBackupResource = "ISPN005047: %s '%s' not found in the backup archive";
    protected String unableToFindBackupResource$str() {
        return unableToFindBackupResource;
    }
    @Override
    public final CacheException unableToFindBackupResource(final String resource, final java.util.Set<String> resourceNames) {
        final CacheException result = new CacheException(String.format(getLoggingLocale(), unableToFindBackupResource$str(), resource, resourceNames));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String unableToFindResource = "ISPN005048: %s '%s' does not exist";
    protected String unableToFindResource$str() {
        return unableToFindResource;
    }
    @Override
    public final CacheException unableToFindResource(final String resource, final String resourceName) {
        final CacheException result = new CacheException(String.format(getLoggingLocale(), unableToFindResource$str(), resource, resourceName));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    private static final String backupAlreadyExists = "ISPN005049: Cannot perform backup, backup already exists with name '%s'";
    protected String backupAlreadyExists$str() {
        return backupAlreadyExists;
    }
    @Override
    public final CacheException backupAlreadyExists(final String name) {
        final CacheException result = new CacheException(String.format(getLoggingLocale(), backupAlreadyExists$str(), name));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    @Override
    public final void backupDeleted(final String name) {
        super.log.logf(FQCN, INFO, null, backupDeleted$str(), name);
    }
    private static final String backupDeleted = "ISPN005050: Deleted backup '%s'";
    protected String backupDeleted$str() {
        return backupDeleted;
    }
    private static final String restoreAlreadyExists = "ISPN005051: Cannot perform restore, restore already exists with name '%s'";
    protected String restoreAlreadyExists$str() {
        return restoreAlreadyExists;
    }
    @Override
    public final CacheException restoreAlreadyExists(final String name) {
        final CacheException result = new CacheException(String.format(getLoggingLocale(), restoreAlreadyExists$str(), name));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
    @Override
    public final void ipFilterConnectionRejection(final InetSocketAddress remoteAddress, final IpFilterRule rule) {
        super.log.logf(FQCN, INFO, null, ipFilterConnectionRejection$str(), remoteAddress, rule);
    }
    private static final String ipFilterConnectionRejection = "ISPN005052: Rejected connection from '%s' using rule '%s'";
    protected String ipFilterConnectionRejection$str() {
        return ipFilterConnectionRejection;
    }
    private static final String configurationMustContainSingleCache = "ISPN005053: The supplied configuration for cache '%s' must contain a single cache configuration for it: %s";
    protected String configurationMustContainSingleCache$str() {
        return configurationMustContainSingleCache;
    }
    @Override
    public final CacheConfigurationException configurationMustContainSingleCache(final String name, final String configuration) {
        final CacheConfigurationException result = new CacheConfigurationException(String.format(getLoggingLocale(), configurationMustContainSingleCache$str(), name, configuration));
        final StackTraceElement[] st = result.getStackTrace();
        result.setStackTrace(Arrays.copyOfRange(st, 1, st.length));
        return result;
    }
}
